<?php

namespace Mine\SeekerBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Step
 *
 * @ORM\Table(name="step")
 * @ORM\Entity(repositoryClass="Mine\SeekerBundle\Repository\StepRepository")
 */
class Step
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var int
     *
     * @ORM\Column(name="row", length=3, type="integer", nullable=false)
     */
    private $row;

    /**
     * @var int
     *
     * @ORM\Column(name="col", length=3, type="integer", nullable=false)
     */
    private $col;

    /**
     * @var boolean
     *
     * @ORM\Column(name="wbomb", type="boolean", nullable=true)
     */
    private $wBomb;

    /**
     * @var PlayedGame
     *
     * @ORM\ManyToOne(targetEntity="Mine\SeekerBundle\Entity\PlayedGame", inversedBy="step")
     */
    private $playedGame;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="created", type="datetime", nullable=true)
     */
    private $created;


    /**
     * Get id
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set playedGame
     *
     * @param PlayedGame $playedGame
     *
     * @return Step
     */
    public function setPlayedGame(PlayedGame $playedGame = null)
    {
        $this->playedGame = $playedGame;

        return $this;
    }

    /**
     * Get playedGame
     *
     * @return PlayedGame
     */
    public function getPlayedGame()
    {
        return $this->playedGame;
    }

    /**
     * Set row
     *
     * @param integer $row
     *
     * @return Step
     */
    public function setRow($row)
    {
        $this->row = $row;

        return $this;
    }

    /**
     * Get row
     *
     * @return integer
     */
    public function getRow()
    {
        return $this->row;
    }

    /**
     * Set col
     *
     * @param integer $col
     *
     * @return Step
     */
    public function setCol($col)
    {
        $this->col = $col;

        return $this;
    }

    /**
     * Get col
     *
     * @return integer
     */
    public function getCol()
    {
        return $this->col;
    }

    /**
     * Set wBomb
     *
     * @param boolean $wBomb
     *
     * @return Step
     */
    public function setWBomb($wBomb)
    {
        $this->wBomb = $wBomb;

        return $this;
    }

    /**
     * Get wBomb
     *
     * @return boolean
     */
    public function getWBomb()
    {
        return $this->wBomb;
    }

    /**
     * Set created
     *
     * @param \DateTime $created
     *
     * @return Step
     */
    public function setCreated($created)
    {
        $this->created = $created;

        return $this;
    }

    /**
     * Get created
     *
     * @return \DateTime
     */
    public function getCreated()
    {
        return $this->created;
    }
}
